.dataForm > div{ 
	position:relative; 
	margin-top:45px; 
	margin-bottom:10px;
}

.dataForm input[type='text'],
.dataForm input[type='number'],
.dataForm input[type='password'],
.dataForm input[type='time'],
.dataForm select {
	padding:10px 0;
	display:block;
	width:100%;
	border:none;
	border-bottom:1px solid #ced5db;
}

.dataForm input[type='text']:focus, 
.dataForm input[type='number']:focus, 
.dataForm input[type='password']:focus, 
.dataForm input[type='time']:focus, 
.dataForm select:focus{ 
	outline:none; 
}

.dataForm label{
	font-weight:normal;
	position:absolute;
	pointer-events:none;
	/*left:5px;*/
	top:10px;
	transition:0.5s ease all; 
	-moz-transition:0.5s ease all; 
	-webkit-transition:0.5s ease all;
	color:#8b959e;
	font-size:16px;
}


.dataForm input:focus ~ label, 
.dataForm input:not(:placeholder-shown) ~ label, 
.dataForm select:focus ~ label,
.dataForm select:valid ~ label {
	top:-20px;
	font-size:14px;
	color:rgb(0,117,235);
}

.dataForm .error input ~ label, 
.dataForm input:focus:invalid ~ label, 
.dataForm .error select ~ label{
	top:47px;
	font-size:11px;
	color:rgb(255,0,0);
	background-color: white;
}

.dataForm .bar{ 
	position:relative; 
	display:block; 
	width:100%; 
}

.dataForm .error .bar:before, 
.dataForm input:focus:invalid ~ .bar, 
.dataForm select:focus:invalid ~ .bar{
	content:'';
	height:2px; 
	width:0;
	bottom:0; 
	left:0;
	position:absolute;
	background:rgb(255,0,0); 
	transition:0.5s ease all; 
	-moz-transition:0.5s ease all; 
	-webkit-transition:0.5s ease all;
}

.dataForm .bar:before{
	content:'';
	height:2px; 
	width:0;
	bottom:0; 
	left:0;
	position:absolute;
	background:rgb(0,117,235);/* blue */
	transition:0.5s ease all; 
	-moz-transition:0.5s ease all; 
	-webkit-transition:0.5s ease all;
}

.dataForm input:focus ~ .bar:before, 
.dataForm select:focus ~ .bar:before {
	width:100%;
}

.dataForm .error input:focus ~ .bar:before, 
.dataForm .error select:focus ~ .bar:before {
	width:100%;
}

.dataForm #rezerwacjaGodzinyIloscOsob input:focus ~ .bar:before, 
.dataForm #rezerwacjaGodzinyIloscOsob .error input:focus ~ .bar:before,
.dataForm #rezerwacjaGodzinyIloscOsob .bar
.dataForm #rezerwacjaDniIloscOsob input:focus ~ .bar:before, 
.dataForm #rezerwacjaDniIloscOsob .error input:focus ~ .bar:before,
.dataForm #rezerwacjaDniIloscOsob .bar{
	width:70px;
	
}

#rezerwacjaGodzinyIloscOsob input, #rezerwacjaDniIloscOsob input{
	display:inline-block;
	width:70px;
	text-align:center;
}

#rezerwacjaGodzinyIloscOsob > div, #rezerwacjaDniIloscOsob > div{
	display:inline-block;
	margin-right:60px;
}
#rezerwacjaGodzinyGodzina > div{
	display:inline-block;
	line-height:30px;
}


/* ANIMATIONS ================ */
@-webkit-keyframes inputHighlighter {
	from { background:rgb(0,117,235); }
  to 	{ width:0; background:transparent; }
}
@-moz-keyframes inputHighlighter {
	from { background:rgb(0,117,235); }
  to 	{ width:0; background:transparent; }
}
@keyframes inputHighlighter {
	from { background:rgb(0,117,235); }
  to 	{ width:0; background:transparent; }
}